# Uses of Interface
org.eclipse.jface.text.presentation.IPresentationReconciler

Packages that use IPresentationReconciler
Package
Description
org.eclipse.jface.text.presentation
Provides a presentation reconciler add-on for an `ITextViewer`.
org.eclipse.jface.text.source
Provides a framework for connecting document regions with annotations and for displaying those.

## Uses of IPresentationReconciler in org.eclipse.jface.text.presentation

Classes in org.eclipse.jface.text.presentation that implement IPresentationReconciler
Modifier and Type
Class
Description
`class`
`PresentationReconciler`
Standard implementation of `IPresentationReconciler`.

## Uses of IPresentationReconciler in org.eclipse.jface.text.source

Fields in org.eclipse.jface.text.source declared as IPresentationReconciler
Modifier and Type
Field
Description
`protected IPresentationReconciler`
SourceViewer.`fPresentationReconciler`
The viewer's presentation reconciler
Methods in org.eclipse.jface.text.source that return IPresentationReconciler
Modifier and Type
Method
Description
`IPresentationReconciler`
SourceViewerConfiguration.`getPresentationReconciler(ISourceViewer sourceViewer)`
Returns the presentation reconciler ready to be used with the given source viewer.